<!DOCTYPE html>
<html>

<head>
  <title>App</title>

  <!-- Viewport mobile tag for sensible mobile support -->
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

  <% /* If you want to discourage search engines from indexing this site, uncomment the following line: */%>
    <% /* <meta name="robots" content="noindex"> */%>
      <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/5.0.0-alpha2/css/bootstrap.min.css"
        integrity="sha384-DhY6onE6f3zzKbjUPRc2hOzGAdEf4/Dz+WJwBvEYL/lkkIsI3ihufq9hk9K4lVoK" crossorigin="anonymous">
      <link rel="stylesheet" href="/styles/importer.css">
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
      <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css"
        integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous" />
      <link rel="preconnect" href="https://fonts.gstatic.com">
      <link href="https://fonts.googleapis.com/css2?family=Lora:ital,wght@1,500&display=swap" rel="stylesheet">
      <!--STYLES-->
      <link rel="stylesheet" href="/styles/importer.css">
      <!--STYLES END-->

      <title>Neovis.js Simple Example</title>
      <style type="text/css">
        body {
          font-family: 'Lora', serif;
          text-align: center;
        }

        #viz {
          background-color: #F7F7F7;
          width: 100%;
          height: 100%;
          font: 5px arial;
          /* padding:30em; */
        }
      </style>
      <script type="text/javascript" src="../dist/neovis.js"></script>
      <script src="https://cdn.neo4jlabs.com/neovis.js/v1.5.0/neovis.js"></script>
      <script src="https://code.jquery.com/jquery-3.2.1.min.js"
        integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4=" crossorigin="anonymous"></script>

      <script type="text/javascript">
        var viz;
        function draw() {
          var config = {
            container_id: "viz",
            server_url: "bolt://localhost:11003",
            server_user: "neo4j",
            server_password: "1234",
            labels: {
              "Book": {
                "caption": "title",
                // "size": "pagerank",
                "community": "community",
                "image": 'https://andresgutierrez.com/wp-content/uploads/2020/06/Book-Icon.png',

                "font": {
                  "size": 16,
                  "color": "#6A4F4F"
                }
              },
              "Author": {
                "caption": "name",
                "image": 'https://www.pinclipart.com/picdir/big/17-170266_popular-images-author-icon-png-clipart.png',

                "font": {
                  "size": 16,
                  "color": "#6A4F4F"
                },
              },
              "Category": {
                "caption": "category",
                "image": 'https://w7.pngwing.com/pngs/248/942/png-transparent-computer-icons-bookmark-bookmark-icon-purple-angle-ribbon-thumbnail.png',

                "font": {
                  "size": 16,
                  "color": "#6A4F4F"
                },
              },
              "Language": {
                "caption": "language",
                "image": 'https://www.pngix.com/pngfile/middle/348-3484211_multi-language-icon-png-translation-service-transparent-png.png',

                "font": {
                  "size": 16,
                  "color": "#6A4F4F"
                },
              }
            },

            relationships: {
              "WROTE": {
                "thickness": "weight",
                "caption": false,

                "font": {
                  "size": 16,
                  "color": "#6A4F4F"
                },
              },
              "IS": {
                "thickness": "weight",
                "caption": true,

                "font": {
                  "size": 16,
                  "color": "#6A4F4F"
                },
              },
              "WRITTEN_IN": {
                "thickness": "weight",
                "caption": true,

                "font": {
                  "size": 16,
                  "color": "#6A4F4F"
                },
              }
            },
            initial_cypher: 'MATCH(n)-[r]->(m) RETURN n,r,m',
            arrows: true
          };
          viz = new NeoVis.default(config);
          viz.render();
          console.log(viz)
        }
      </script>
</head>